Bug 429628 - Dolphin Crashes on Start
Summary: Dolphin Crashes on Start
Status: CLOSED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 20.11.80
Platform: Neon Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: drkonqi
: 426898 429142 430413 430631 430804 431412 431420 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-11-25 09:14 UTC by kalabankro
Modified: 2021-01-11 09:55 UTC (History)
20 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12.1


Attachments
New crash information added by DrKonqi (21.03 KB, text/plain)
2021-01-10 23:28 UTC, Don Sharp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kalabankro 2020-11-25 09:14:02 UTC
Application: dolphin (20.11.80)

Qt Version: 5.15.1
Frameworks Version: 5.77.0
Operating System: Linux 5.4.0-54-generic x86_64
Windowing system: X11
Distribution: KDE neon Testing Edition

-- Information about the crash:
- What I was doing when the application crashed:

Opened dolphin and it crashed immediately. I have restarted, deleted the dolphin settings folder. Dolphin still crashes every time I open it.

The crash can be reproduced every time.

-- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault

[New LWP 5937]
[New LWP 5938]
[New LWP 5939]
[New LWP 5940]
[New LWP 5941]
[New LWP 5942]
[New LWP 5951]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007fc21c416aff in __GI___poll (fds=0x7ffde5771668, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7fc215550e40 (LWP 5936))]

Thread 8 (Thread 0x7fc1e56a2700 (LWP 5951)):
#0  0x00007fc217f9f33d in g_mutex_lock () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc217f5173a in g_main_context_prepare () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc217f520db in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc217f522e3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc21a1dd24b in QEventDispatcherGlib::processEvents (this=0x7fc1cc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc21a18143b in QEventLoop::exec (this=this@entry=0x7fc1e56a1ce0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fc219f9d982 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fc219f9eb1c in QThreadPrivate::start (arg=0x56328d332860) at thread/qthread_unix.cpp:329
#8  0x00007fc218921609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fc21c423293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fc202168700 (LWP 5942)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x56328ce8c608) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56328ce8c5b8, cond=0x56328ce8c5e0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56328ce8c5e0, mutex=0x56328ce8c5b8) at pthread_cond_wait.c:638
#3  0x00007fc20c7f462b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fc20c7f423b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fc218921609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc21c423293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fc202969700 (LWP 5941)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x56328ce8c608) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56328ce8c5b8, cond=0x56328ce8c5e0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56328ce8c5e0, mutex=0x56328ce8c5b8) at pthread_cond_wait.c:638
#3  0x00007fc20c7f462b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fc20c7f423b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fc218921609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc21c423293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fc20316a700 (LWP 5940)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x56328ce8c608) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56328ce8c5b8, cond=0x56328ce8c5e0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56328ce8c5e0, mutex=0x56328ce8c5b8) at pthread_cond_wait.c:638
#3  0x00007fc20c7f462b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fc20c7f423b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fc218921609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc21c423293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fc20396b700 (LWP 5939)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x56328ce8c608) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56328ce8c5b8, cond=0x56328ce8c5e0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56328ce8c5e0, mutex=0x56328ce8c5b8) at pthread_cond_wait.c:638
#3  0x00007fc20c7f462b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fc20c7f423b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fc218921609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc21c423293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fc20fded700 (LWP 5938)):
#0  __GI___libc_read (nbytes=16, buf=0x7fc20fdecaa0, fd=7) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=7, buf=0x7fc20fdecaa0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007fc217f9a89f in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc217f51cfe in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc217f52152 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc217f522e3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fc21a1dd24b in QEventDispatcherGlib::processEvents (this=0x7fc208000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007fc21a18143b in QEventLoop::exec (this=this@entry=0x7fc20fdeccb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#8  0x00007fc219f9d982 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#9  0x00007fc21a43cf4b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#10 0x00007fc219f9eb1c in QThreadPrivate::start (arg=0x7fc21a4c0d80) at thread/qthread_unix.cpp:329
#11 0x00007fc218921609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007fc21c423293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fc214c17700 (LWP 5937)):
#0  0x00007fc21c416aff in __GI___poll (fds=0x7fc214c16be8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc218955c1a in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fc21895790a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fc215143b08 in QXcbEventQueue::run (this=0x56328cb59880) at qxcbeventqueue.cpp:228
#4  0x00007fc219f9eb1c in QThreadPrivate::start (arg=0x56328cb59880) at thread/qthread_unix.cpp:329
#5  0x00007fc218921609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc21c423293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fc215550e40 (LWP 5936)):
[KCrash Handler]
#4  0x00007fc21c17954b in KUrlNavigator::locationUrl (this=0x0, historyIndex=historyIndex@entry=-1) at ./src/filewidgets/kurlnavigator.cpp:878
#5  0x00007fc21c55d618 in DolphinViewContainer::setSearchModeEnabled (this=this@entry=0x56328d497d90, enabled=true) at /usr/include/c++/9/bits/atomic_base.h:413
#6  0x00007fc21c55eeb9 in DolphinViewContainer::DolphinViewContainer (this=0x56328d497d90, url=..., parent=<optimized out>) at ./src/dolphinviewcontainer.cpp:188
#7  0x00007fc21c5656b5 in DolphinTabPage::createViewContainer (this=this@entry=0x56328d559040, url=...) at ./src/dolphintabpage.cpp:432
#8  0x00007fc21c5659bf in DolphinTabPage::DolphinTabPage (this=0x56328d559040, primaryUrl=..., secondaryUrl=..., parent=<optimized out>) at ./src/dolphintabpage.cpp:34
#9  0x00007fc21c567ca4 in DolphinTabWidget::openNewTab (this=this@entry=0x56328ce5e0b0, primaryUrl=..., secondaryUrl=..., tabPlacement=tabPlacement@entry=DolphinTabWidget::AfterLastTab) at ./src/dolphintabwidget.cpp:162
#10 0x00007fc21c567e92 in DolphinTabWidget::openNewActivatedTab (this=0x56328ce5e0b0, primaryUrl=..., secondaryUrl=...) at ./src/dolphintabwidget.cpp:154
#11 0x00007fc21c567fb9 in DolphinTabWidget::openNewActivatedTab (this=this@entry=0x56328ce5e0b0) at ./src/dolphintabwidget.cpp:139
#12 0x00007fc21c569160 in DolphinTabWidget::readProperties (this=0x56328ce5e0b0, group=...) at ./src/dolphintabwidget.cpp:88
#13 0x00007fc21b8780b0 in KMainWindow::readPropertiesInternal (this=this@entry=0x56328cb5a4e0, config=0x56328d3f7500, number=number@entry=1) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qarraydata.h:236
#14 0x00007fc21b8780fb in KMainWindow::restore (this=0x56328cb5a4e0, number=1, show=<optimized out>) at ./src/kmainwindow.cpp:482
#15 0x00007fc21c5455df in kdemain (argc=<optimized out>, argv=<optimized out>) at ./src/main.cpp:201
#16 0x00007fc21c3280b3 in __libc_start_main (main=0x56328b346060 <main>, argc=1, argv=0x7ffde5772628, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffde5772618) at ../csu/libc-start.c:308
#17 0x000056328b34609e in _start ()
[Inferior 1 (process 5936) detached]

The reporter indicates this bug may be a duplicate of or related to bug 426898.

Possible duplicates by query: bug 427418, bug 426898, bug 384383, bug 344451, bug 325212.

Reported using DrKonqi
Comment 1 Christoph Feck 2020-12-01 12:38:58 UTC
*** Bug 429142 has been marked as a duplicate of this bug. ***
Comment 2 Martin Sandsmark 2020-12-11 14:24:21 UTC
Looking at the code, it seems to be a nullptr dereference (at least here the crashing call is `const QUrl& locationUrl = m_urlNavigatorConnected->locationUrl();`, I assume introduced by this:

commit ad5d3367c7fef4c3c11188a768f21a2ee2b3c025
  Author: Felix Ernst <fe.a.ernst@gmail.com>
  Date:   Sun Jun 14 16:20:02 2020 +0200
  
      Add an option to use an UrlNavigator in the toolbar instead
      
      This commit adds a locationInToolbar KToggleAction to switch between
      using a location bar to navigate or using a new custom QWidgetAction
      in the toolbar.
      
      A big portion of this MR is refactoring because until now the
      UrlNavigator was tightly intertwined with the DolphinViewContainer.
      With this MR an UrlNavigator for controlling a View can be freely
      connected or disconnected with a single method call.
      
      A DolphinUrlNavigator class is created in the process which contains all
      Dolphin-specific UrlNavigator code which did previously reside in the
      DolphinViewContainer class. Other application parts that belong to
      UrlNavigator-management are also moved here.
Comment 3 Martin Sandsmark 2020-12-11 14:25:12 UTC
Adding Felix to CC, just in case.
Comment 4 Nate Graham 2020-12-11 14:53:22 UTC
Seems logical. Wanna submit a MR to fix it?
Comment 5 Martin Sandsmark 2020-12-11 15:32:18 UTC
Not sure how to fix it, unfortunately, I haven't dug into how the new navigator stuff works. The issue seems to be that the new url navigator stuff doesn't always set m_urlNavigatorConnected (I tried adding some singleShot hacks to retry/delay the calls to setSearchModeEnabled, which didn't seem to be enough).
Comment 6 Alexander Lohnau 2020-12-11 18:26:44 UTC
Just checking the pointer in 
>void DolphinViewContainer::setSearchModeEnabled(bool enabled)
and doing an early return if it is null seems fixes the crash. The same check is also done in 
>void DolphinViewContainer::disconnectUrlNavigator()

But I am not into the navigator stuff, so maybe Felix can have a say in that regard :)
Comment 7 Martin Sandsmark 2020-12-11 21:54:03 UTC
(In reply to Alexander Lohnau from comment #6)
> Just checking the pointer in 
> >void DolphinViewContainer::setSearchModeEnabled(bool enabled)
> and doing an early return if it is null seems fixes the crash. The same
> check is also done in 
> >void DolphinViewContainer::disconnectUrlNavigator()
> 
> But I am not into the navigator stuff, so maybe Felix can have a say in that
> regard :)

Yeah, it fixes the crash, but I assume it breaks some functionality (related to restoring a session with search active, I guess). That's why I tried to add some singleShot() hacks in setSearchModeEnabled() that called setSearchModeEnabled() again if the pointer was null, to try to recover.

The check is done in disconnectUrlNavigator() because that nulls out the pointer again iirc.
Comment 8 Antonio Rojas 2020-12-15 10:09:11 UTC
*** Bug 430413 has been marked as a duplicate of this bug. ***
Comment 9 Elvis Angelaccio 2020-12-15 21:44:04 UTC
*** Bug 430434 has been marked as a duplicate of this bug. ***
Comment 10 Elvis Angelaccio 2020-12-15 21:44:39 UTC
Git commit c95d7fae79a309ed7f2df393fa20257cb20d54a8 by Elvis Angelaccio, on behalf of Anthony Fieroni.
Committed on 15/12/2020 at 21:44.
Pushed by elvisangelaccio into branch 'release/20.12'.

Fix access url navigator while creating new tab in filename search view
Related: bug 430434

Signed-off-by: Anthony Fieroni <bvbfan@abv.bg>

M  +1    -1    src/dolphinviewcontainer.cpp

https://invent.kde.org/system/dolphin/commit/c95d7fae79a309ed7f2df393fa20257cb20d54a8
Comment 11 Steve Paynter 2020-12-18 19:13:13 UTC
Dolphin 4:20.12.0-0xneon+20.04+focal+build15

Bug still here.

I restart computer, but can't open dolphin from gnu or from terminal. Reinstalling dolphin has no effect.
I will have to install a new file manager until this is fixed.
Trace attached.

ps: The Dr Konqi bug report thingy doesn't work (says I have nothing interesting to add), presumably because bug is marked as closed?

Application: Dolphin (dolphin), signal: Segmentation fault

[New LWP 1517]
[New LWP 1518]
[New LWP 1519]
[New LWP 1520]
[New LWP 1521]
[New LWP 1522]
[New LWP 1523]
[New LWP 1524]
[New LWP 1525]
[New LWP 1526]
[New LWP 1527]
[New LWP 1528]
[New LWP 1529]
[New LWP 1530]
[New LWP 1531]
[New LWP 1532]
[New LWP 1533]
[New LWP 1534]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007f6162682aff in __GI___poll (fds=0x7ffd3f13a728, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7f615b7358c0 (LWP 1514))]

Thread 19 (Thread 0x7f61197fa700 (LWP 1534)):
#0  0x00007ffd3f1956f1 in ?? ()
#1  0x00007ffd3f195918 in clock_gettime ()
#2  0x00007f616264d235 in __GI___clock_gettime (clock_id=1, tp=0x7f61197f9a50) at ../sysdeps/unix/sysv/linux/clock_gettime.c:38
#3  0x00007f61603c9885 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f61603c811d in QTimerInfoList::updateCurrentTime() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f61603c86f9 in QTimerInfoList::timerWait(timespec&) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f61603c9d16 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f615e13a72f in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f615e13b0db in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f615e13b2e3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f61603c9fbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f616036e1ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#12 0x00007f6160188a12 in QThread::exec() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#13 0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#14 0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#15 0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f6119ffb700 (LWP 1533)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f6119ffac50, clockid=<optimized out>, expected=0, futex_word=0x55fca725e160) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f6119ffac50, clockid=<optimized out>, mutex=0x55fca725e110, cond=0x55fca725e138) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca725e138, mutex=0x55fca725e110, abstime=0x7f6119ffac50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f611a7fc700 (LWP 1532)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f611a7fbc50, clockid=<optimized out>, expected=0, futex_word=0x55fca725dc74) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f611a7fbc50, clockid=<optimized out>, mutex=0x55fca725dc20, cond=0x55fca725dc48) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca725dc48, mutex=0x55fca725dc20, abstime=0x7f611a7fbc50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f611affd700 (LWP 1531)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f611affcc50, clockid=<optimized out>, expected=0, futex_word=0x55fca725d784) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f611affcc50, clockid=<optimized out>, mutex=0x55fca725d730, cond=0x55fca725d758) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca725d758, mutex=0x55fca725d730, abstime=0x7f611affcc50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f611b7fe700 (LWP 1530)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f611b7fdc50, clockid=<optimized out>, expected=0, futex_word=0x55fca725d290) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f611b7fdc50, clockid=<optimized out>, mutex=0x55fca725d240, cond=0x55fca725d268) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca725d268, mutex=0x55fca725d240, abstime=0x7f611b7fdc50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f611bfff700 (LWP 1529)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f611bffec50, clockid=<optimized out>, expected=0, futex_word=0x55fca725cda0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f611bffec50, clockid=<optimized out>, mutex=0x55fca725cd50, cond=0x55fca725cd78) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca725cd78, mutex=0x55fca725cd50, abstime=0x7f611bffec50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f6144864700 (LWP 1528)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f6144863c50, clockid=<optimized out>, expected=0, futex_word=0x55fca7245210) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f6144863c50, clockid=<optimized out>, mutex=0x55fca72451c0, cond=0x55fca72451e8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca72451e8, mutex=0x55fca72451c0, abstime=0x7f6144863c50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f6145065700 (LWP 1527)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f6145064c50, clockid=<optimized out>, expected=0, futex_word=0x55fca7243590) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f6145064c50, clockid=<optimized out>, mutex=0x55fca7243540, cond=0x55fca7243568) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca7243568, mutex=0x55fca7243540, abstime=0x7f6145064c50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f6145866700 (LWP 1526)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f6145865c50, clockid=<optimized out>, expected=0, futex_word=0x55fca7244fd4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f6145865c50, clockid=<optimized out>, mutex=0x55fca7244f80, cond=0x55fca7244fa8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca7244fa8, mutex=0x55fca7244f80, abstime=0x7f6145865c50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f6146168700 (LWP 1525)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f6146167c50, clockid=<optimized out>, expected=0, futex_word=0x55fca7244c10) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f6146167c50, clockid=<optimized out>, mutex=0x55fca7244bc0, cond=0x55fca7244be8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca7244be8, mutex=0x55fca7244bc0, abstime=0x7f6146167c50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f6146969700 (LWP 1524)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f6146968c50, clockid=<optimized out>, expected=0, futex_word=0x55fca72447f0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f6146968c50, clockid=<optimized out>, mutex=0x55fca72447a0, cond=0x55fca72447c8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca72447c8, mutex=0x55fca72447a0, abstime=0x7f6146968c50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f614716a700 (LWP 1523)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f6147169c50, clockid=<optimized out>, expected=0, futex_word=0x55fca72440b4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f6147169c50, clockid=<optimized out>, mutex=0x55fca7244060, cond=0x55fca7244088) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca7244088, mutex=0x55fca7244060, abstime=0x7f6147169c50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f614796b700 (LWP 1522)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f614796ac50, clockid=<optimized out>, expected=0, futex_word=0x55fca73509d0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f614796ac50, clockid=<optimized out>, mutex=0x55fca7350980, cond=0x55fca73509a8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55fca73509a8, mutex=0x55fca7350980, abstime=0x7f614796ac50) at pthread_cond_wait.c:656
#3  0x00007f616018fca8 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f616018d1b1 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f615092e700 (LWP 1521)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fca71755d8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fca7175588, cond=0x55fca71755b0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fca71755b0, mutex=0x55fca7175588) at pthread_cond_wait.c:638
#3  0x00007f61527e962b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f61527e923b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f615112f700 (LWP 1520)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fca71755d8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fca7175588, cond=0x55fca71755b0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fca71755b0, mutex=0x55fca7175588) at pthread_cond_wait.c:638
#3  0x00007f61527e962b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f61527e923b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f6151930700 (LWP 1519)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fca71755d8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fca7175588, cond=0x55fca71755b0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fca71755b0, mutex=0x55fca7175588) at pthread_cond_wait.c:638
#3  0x00007f61527e962b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f61527e923b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f6152131700 (LWP 1518)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fca71755d8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fca7175588, cond=0x55fca71755b0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55fca71755b0, mutex=0x55fca7175588) at pthread_cond_wait.c:638
#3  0x00007f61527e962b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f61527e923b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f6159d75700 (LWP 1517)):
#0  __GI___libc_read (nbytes=16, buf=0x7f6159d74aa0, fd=7) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=7, buf=0x7f6159d74aa0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f615e18389f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f615e13acfe in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f615e13b152 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f615e13b2e3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f61603c9fbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f616036e1ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f6160188a12 in QThread::exec() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f616141ff4b in ?? () from /lib/x86_64-linux-gnu/libQt5DBus.so.5
#10 0x00007f6160189bac in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f615eb08609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f616268f293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f615b7358c0 (LWP 1514)):
[KCrash Handler]
#4  0x00007f61623e563b in KUrlNavigator::locationUrl(int) const () from /lib/x86_64-linux-gnu/libKF5KIOFileWidgets.so.5
#5  0x00007f61627cbaf8 in DolphinViewContainer::setSearchModeEnabled (this=this@entry=0x55fca759a510, enabled=true) at /usr/include/c++/9/bits/atomic_base.h:413
#6  0x00007f61627cd399 in DolphinViewContainer::DolphinViewContainer (this=0x55fca759a510, url=..., parent=<optimized out>) at ./src/dolphinviewcontainer.cpp:188
#7  0x00007f61627d3c45 in DolphinTabPage::createViewContainer (this=this@entry=0x55fca75a5680, url=...) at ./src/dolphintabpage.cpp:432
#8  0x00007f61627d3f4f in DolphinTabPage::DolphinTabPage (this=0x55fca75a5680, primaryUrl=..., secondaryUrl=..., parent=<optimized out>) at ./src/dolphintabpage.cpp:34
#9  0x00007f61627d6234 in DolphinTabWidget::openNewTab (this=this@entry=0x55fca6fec220, primaryUrl=..., secondaryUrl=..., tabPlacement=tabPlacement@entry=DolphinTabWidget::AfterLastTab) at ./src/dolphintabwidget.cpp:162
#10 0x00007f61627d6422 in DolphinTabWidget::openNewActivatedTab (this=0x55fca6fec220, primaryUrl=..., secondaryUrl=...) at ./src/dolphintabwidget.cpp:154
#11 0x00007f61627d6549 in DolphinTabWidget::openNewActivatedTab (this=this@entry=0x55fca6fec220) at ./src/dolphintabwidget.cpp:139
#12 0x00007f61627d76f0 in DolphinTabWidget::readProperties (this=0x55fca6fec220, group=...) at ./src/dolphintabwidget.cpp:88
#13 0x00007f6161ae4080 in KMainWindow::readPropertiesInternal(KConfig*, int) () from /lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#14 0x00007f6161ae40cb in KMainWindow::restore(int, bool) () from /lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#15 0x00007f61627b3abf in kdemain (argc=<optimized out>, argv=<optimized out>) at ./src/main.cpp:201
#16 0x00007f61625940b3 in __libc_start_main (main=0x55fca5ce4060 <main>, argc=2, argv=0x7ffd3f13b6e8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd3f13b6d8) at ../csu/libc-start.c:308
#17 0x000055fca5ce409e in _start ()
[Inferior 1 (process 1514) detached]
Comment 12 Elvis Angelaccio 2020-12-19 14:51:07 UTC
@Steve: are you sure you have the patch?
Comment 13 Armando 2020-12-20 04:55:45 UTC
Hello,

Drkonqi Crash Handler didn't allow automatically submitting a bug report on this because it suggested that my crash was the same as this bug report.

Dolphin crashes on launch. Every time. Under any circumstances.

Two recent changes that may be related:

-I have been downloading and experimenting with global themes.
-I recently installed Nautilus, Gnome Command Center, and Gnome Online Accounts in order to integrate access to my Google Drive (KIO-Google is completely broken)

I can't tell what the fix is from this thread. Could someone help reiterate what needs to be done here?


Backtrace of the crash I experienced:

Application: Dolphin (dolphin), signal: Segmentation fault

[New LWP 3543]
[New LWP 3544]
[New LWP 3545]
[New LWP 3546]
[New LWP 3547]
[New LWP 3548]
[New LWP 3549]
[New LWP 3550]
[New LWP 3551]
[New LWP 3552]
[New LWP 3553]
[New LWP 3554]
[New LWP 3555]
[New LWP 3556]
[New LWP 3557]
[New LWP 3558]
[New LWP 3559]
[New LWP 3560]
[New LWP 3561]
[New LWP 3562]
[New LWP 3567]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007fc1d242baff in __GI___poll (fds=0x7ffedb58a5e8, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7fc1cb4de8c0 (LWP 3541))]

Thread 22 (Thread 0x7fc16d7fa700 (LWP 3567)):
#0  __GI___libc_read (nbytes=16, buf=0x7fc16d7f9ad0, fd=24) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=24, buf=0x7fc16d7f9ad0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007fc1cdf2a89f in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc1cdee1cfe in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc1cdee2152 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc1cdee22e3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fc1d0172fbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fc1d01171ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fc1cff31a12 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fc1cff32bac in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7fc16ffff700 (LWP 3562)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbea5f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbea5a8, cond=0x55d34dbea5d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbea5d0, mutex=0x55d34dbea5a8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7fc18cff9700 (LWP 3561)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbea5f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbea5a8, cond=0x55d34dbea5d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbea5d0, mutex=0x55d34dbea5a8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7fc18d7fa700 (LWP 3560)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbea5f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbea5a8, cond=0x55d34dbea5d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbea5d0, mutex=0x55d34dbea5a8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7fc18dffb700 (LWP 3559)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbea5f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbea5a8, cond=0x55d34dbea5d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbea5d0, mutex=0x55d34dbea5a8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7fc18e7fc700 (LWP 3558)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fc18effd700 (LWP 3557)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fc18f7fe700 (LWP 3556)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fc18ffff700 (LWP 3555)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fc1b4965700 (LWP 3554)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fc1b5166700 (LWP 3553)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fc1b5967700 (LWP 3552)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fc1b6168700 (LWP 3551)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fc1b6969700 (LWP 3550)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe9ef0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe9ea0, cond=0x55d34dbe9ec8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe9ec8, mutex=0x55d34dbe9ea0) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fc1b716a700 (LWP 3549)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34daa6a48) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34daa69f8, cond=0x55d34daa6a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34daa6a20, mutex=0x55d34daa69f8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fc1b796b700 (LWP 3548)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34daa6a48) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34daa69f8, cond=0x55d34daa6a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34daa6a20, mutex=0x55d34daa69f8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fc1c0f0b700 (LWP 3547)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34daa6a48) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34daa69f8, cond=0x55d34daa6a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34daa6a20, mutex=0x55d34daa69f8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fc1c170c700 (LWP 3546)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34daa6a48) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34daa69f8, cond=0x55d34daa6a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34daa6a20, mutex=0x55d34daa69f8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fc1c207d700 (LWP 3545)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55d34dbe5c08) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55d34dbe5bb8, cond=0x55d34dbe5be0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55d34dbe5be0, mutex=0x55d34dbe5bb8) at pthread_cond_wait.c:638
#3  0x00007fc1c258062b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007fc1c258023b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fc1c9b27700 (LWP 3544)):
#0  0x00007fc1d242baff in __GI___poll (fds=0x7fc1bc015360, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc1cdee21ae in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc1cdee22e3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc1d0172fbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fc1d01171ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fc1cff31a12 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fc1d11c8f4b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007fc1cff32bac in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fc1ca91e700 (LWP 3543)):
#0  0x00007fc1d242baff in __GI___poll (fds=0x7fc1ca91dbe8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc1ce8e7c1a in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fc1ce8e990a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fc1cae51d58 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007fc1cff32bac in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fc1ce8b1609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fc1d2438293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fc1cb4de8c0 (LWP 3541)):
[KCrash Handler]
#4  0x00007fc1d218e63b in KUrlNavigator::locationUrl(int) const () from /usr/lib/x86_64-linux-gnu/libKF5KIOFileWidgets.so.5
#5  0x00007fc1d2574af8 in DolphinViewContainer::setSearchModeEnabled (this=this@entry=0x55d34dd2a000, enabled=true) at /usr/include/c++/9/bits/atomic_base.h:413
#6  0x00007fc1d2576399 in DolphinViewContainer::DolphinViewContainer (this=0x55d34dd2a000, url=..., parent=<optimized out>) at ./src/dolphinviewcontainer.cpp:188
#7  0x00007fc1d257cc45 in DolphinTabPage::createViewContainer (this=this@entry=0x55d34dd86100, url=...) at ./src/dolphintabpage.cpp:432
#8  0x00007fc1d257cf4f in DolphinTabPage::DolphinTabPage (this=0x55d34dd86100, primaryUrl=..., secondaryUrl=..., parent=<optimized out>) at ./src/dolphintabpage.cpp:34
#9  0x00007fc1d257f234 in DolphinTabWidget::openNewTab (this=this@entry=0x55d34d8c8bf0, primaryUrl=..., secondaryUrl=..., tabPlacement=tabPlacement@entry=DolphinTabWidget::AfterLastTab) at ./src/dolphintabwidget.cpp:162
#10 0x00007fc1d257f422 in DolphinTabWidget::openNewActivatedTab (this=0x55d34d8c8bf0, primaryUrl=..., secondaryUrl=...) at ./src/dolphintabwidget.cpp:154
#11 0x00007fc1d257f549 in DolphinTabWidget::openNewActivatedTab (this=this@entry=0x55d34d8c8bf0) at ./src/dolphintabwidget.cpp:139
#12 0x00007fc1d25806f0 in DolphinTabWidget::readProperties (this=0x55d34d8c8bf0, group=...) at ./src/dolphintabwidget.cpp:88
#13 0x00007fc1d188d080 in KMainWindow::readPropertiesInternal (this=this@entry=0x55d34d6b6800, config=0x55d34de700a0, number=number@entry=1) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qarraydata.h:236
#14 0x00007fc1d188d0cb in KMainWindow::restore (this=0x55d34d6b6800, number=1, show=<optimized out>) at ./src/kmainwindow.cpp:480
#15 0x00007fc1d255cabf in kdemain (argc=<optimized out>, argv=<optimized out>) at ./src/main.cpp:201
#16 0x00007fc1d233d0b3 in __libc_start_main (main=0x55d34c4bb060 <main>, argc=1, argv=0x7ffedb58b4b8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffedb58b4a8) at ../csu/libc-start.c:308
#17 0x000055d34c4bb09e in _start ()
[Inferior 1 (process 3541) detached]
Comment 14 Armando 2020-12-20 04:58:16 UTC
More information: when trying to run Dolphin from terminal, I get this:


:~$ dolphin
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = dolphin path = /usr/bin pid = 6055
KCrash: Arguments: /usr/bin/dolphin 
KCrash: Attempting to start /usr/lib/x86_64-linux-gnu/libexec/drkonqi
QSocketNotifier: Invalid socket 8 and type 'Read', disabling...
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 14 and type 'Read', disabling...

[1]+  Stopped                 dolphin
Comment 15 Steve Paynter 2020-12-20 08:01:03 UTC
(In reply to Elvis Angelaccio from comment #12)
> @Steve: are you sure you have the patch?

I see no mention of a patch. (I'm new to KDE and Neon.)
I assumed devs patched code and shipped it?
Comment 16 Steve Paynter 2020-12-20 08:10:19 UTC
(In reply to Steve Paynter from comment #11)
> Dolphin 4:20.12.0-0xneon+20.04+focal+build15
> 
> Bug still here.
> 
> I restart computer, but can't open dolphin from gnu or from terminal.
> Reinstalling dolphin has no effect.

Oops, meant 'gui', not 'gnu'.
And by "can't open", I mean it crashes every time.
Also, this is a relatively mint Neon install, about a week old. No tinkering.
Comment 17 Igor 2020-12-20 23:08:55 UTC
This method helped me. Try not just to call the Dolphin. Try to open 
some directory, for example: 

`dolphin /home/username/Downloads`.
Comment 18 Antonio Rojas 2020-12-21 07:22:48 UTC
(In reply to Armando from comment #13)

> I can't tell what the fix is from this thread. Could someone help reiterate
> what needs to be done here?

You'll have to ask your distribution to backport the fix
Comment 19 Armando 2020-12-21 19:22:13 UTC
(In reply to Antonio Rojas from comment #18)
> (In reply to Armando from comment #13)
> 
> > I can't tell what the fix is from this thread. Could someone help reiterate
> > what needs to be done here?
> 
> You'll have to ask your distribution to backport the fix

Thank you, Antonio. But my distribution is KDE Neon, which I assume has already made this update available, and all of my software is up to date on that distro. Still have the problem, crashes on start.
Comment 20 adrienne 2020-12-21 22:48:06 UTC
I have the same problem.
Comment 21 Mike Laufer 2020-12-22 08:04:09 UTC
I am also on KDE Neon User Edition and have not been able to open Dolphin for 3 weeks. 
Is there any way to downgrade Dolphin from within the Neon?
Comment 22 Nate Graham 2020-12-22 21:34:47 UTC
The fix is in Dolphin 20.12.1, which will be released on January 7th. I will email the distros to ask them to backport the fix.
Comment 23 Nate Graham 2020-12-22 21:36:49 UTC
*** Bug 430631 has been marked as a duplicate of this bug. ***
Comment 24 Łukasz Szeremeta 2020-12-22 22:28:29 UTC
Where does Dolphin keep session information? I would like to run Dolphin without any tabs to temporarily fix the problem while waiting for a fix.
Comment 25 Łukasz Szeremeta 2020-12-22 22:29:37 UTC
(In reply to Igor from comment #17)
> This method helped me. Try not just to call the Dolphin. Try to open 
> some directory, for example: 
> 
> `dolphin /home/username/Downloads`.

Unfortunately it doesn't help me because I have keep session on (default for KDE Neon now).
Comment 26 Nate Graham 2020-12-22 22:42:20 UTC
~/.config/dolphinrc. Delete the line that starts with "State="
Comment 27 Igor 2020-12-22 22:51:27 UTC
The problem repeats if I use the search in the Dolphin.
Comment 28 Nate Graham 2020-12-22 23:00:04 UTC
Yes, because the bug is fixed in Dolphin 20.12.1 and you still have 20.12.0.
Comment 29 Łukasz Szeremeta 2020-12-22 23:53:30 UTC
(In reply to Nate Graham from comment #26)
> ~/.config/dolphinrc. Delete the line that starts with "State="

Thanks Nate for quick answer. I did that but something keep adding State with previous value. Before my question, I changed the name of this file to force a new, clean one and the problem continued. Now I removed this line, rename file again and the State with the previous value is also added there. I have tried to run Dolphin in different ways (including via the terminal with the given path) and it is the same problem all the time.
Comment 30 Nate Graham 2020-12-23 15:23:17 UTC
Dunno, sorry. :(
Comment 31 Igor 2020-12-23 17:31:53 UTC
This is a strange bug. Once more, i have the dolphin crash after using search.

The dolphin also crashed at startup every time.

Then I downloaded some file and clicked "open folder" from the browser interface.

And the the dolphin started working!
Comment 32 Mike Laufer 2020-12-23 19:26:59 UTC
Igor, this worked for me as well. 
Dolphin opens as expected since I opened a file through the internet browser.

Thanks!
Comment 33 Łukasz Szeremeta 2020-12-23 21:57:01 UTC
(In reply to Igor from comment #31)
> This is a strange bug. Once more, i have the dolphin crash after using
> search.
> 
> The dolphin also crashed at startup every time.
> 
> Then I downloaded some file and clicked "open folder" from the browser
> interface.
> 
> And the the dolphin started working!

Thanks, this works for me too :-)
Comment 34 Nate Graham 2020-12-27 17:43:40 UTC
*** Bug 430804 has been marked as a duplicate of this bug. ***
Comment 35 Elvis Angelaccio 2020-12-28 20:41:58 UTC
*** Bug 426898 has been marked as a duplicate of this bug. ***
Comment 36 Don Sharp 2021-01-10 23:28:03 UTC
Created attachment 134724 [details]
New crash information added by DrKonqi

dolphin (20.12.0) using Qt 5.15.2

- What I was doing when the application crashed:

Selected Dolphin from the Applications Menu

-- Backtrace (Reduced):
#4  0x00007fa103d8663b in KUrlNavigator::locationUrl(int) const () from /lib/x86_64-linux-gnu/libKF5KIOFileWidgets.so.5
#5  0x00007fa10416caf8 in DolphinViewContainer::setSearchModeEnabled (this=this@entry=0x558d586ed930, enabled=true) at /usr/include/c++/9/bits/atomic_base.h:413
#6  0x00007fa10416e399 in DolphinViewContainer::DolphinViewContainer (this=0x558d586ed930, url=..., parent=<optimized out>) at ./src/dolphinviewcontainer.cpp:188
#7  0x00007fa104174c45 in DolphinTabPage::createViewContainer (this=this@entry=0x558d580781c0, url=...) at ./src/dolphintabpage.cpp:432
#8  0x00007fa104174f4f in DolphinTabPage::DolphinTabPage (this=0x558d580781c0, primaryUrl=..., secondaryUrl=..., parent=<optimized out>) at ./src/dolphintabpage.cpp:34
Comment 37 Christoph Feck 2021-01-11 02:49:16 UTC
*** Bug 431412 has been marked as a duplicate of this bug. ***
Comment 38 Christoph Feck 2021-01-11 09:55:09 UTC
*** Bug 431420 has been marked as a duplicate of this bug. ***